spring:
    profiles:
        active: stage
    cache.type: redis
    redis:
        lettuce:
            pool:
                max-active: 10
                max-idle: 10
                min-idle: 2
        host: 172.30.90.111
        port: 6379
        password:
        cluster:
            nodes:
                172.30.90.111:6379
                172.30.90.112:6379
                172.30.90.113:6379
                172.30.90.111:6380
                172.30.90.112:6380
                172.30.90.113:6380
                172.30.90.111:6381
                172.30.90.112:6381
                172.30.90.113:6381
# SSL Server
has-ssl: true

logging:
    config: classpath:log/logback-stage.xml

domain:
    admin: //stage-bos.style24.com
    front: //stage-www.style24.com
    image: //image.istyle24.com/Upload
    uximage: //image.istyle24.com/Style24/stage


upload:
    default:
        target.path: /files/data/style24
        max.size: 10
        allow.extension: jpg|gif|jpeg|png|bmp|txt|doc|docx|ppt|pptx|xls|xlsx|hwp|pdf
        view: //image.istyle24.com/Upload
    goods:
        target.path: /files/data/style24/ProductImage
        max.size: 10
        allow.extension: jpg|gif|jpeg|png
        view: //image.istyle24.com/Upload/ProductImage
    image:
        target.path: /files/data/style24
        max.size: 10
        allow.extension: jpg|gif|jpeg|png
        view: //image.istyle24.com/Upload
    excel:
        target.path: /files/data/style24/excel
        max.size: 10
        allow.extension: xls|xlsx
        view: //image.istyle24.com/Upload/excel
    sample:
        target.path: /files/data/style24/sample
        max.size: 10
        allow.extension: txt|doc|docx|ppt|pptx|xls|xlsx|hwp|pdf
        view: //image.istyle24.com/Upload/sample

download.path: /files/data/style24

# USAFE 보증보험 정보
usafe.guarantee:
    mall.id: istyle2400
    send.url: https://gateway.usafe.co.kr/esafe/guartrn.asp

# PG
pg:
    kcp:
        log.dir: /logs/style24/kcpLogs/front
        gw:
            url: paygw.kcp.co.kr
            port: 8090
        user.type: PGNW
        js.url: https://pay.kcp.co.kr/plugin/payplus_web.jsp
        app.url: style24://order/pay/result/response?AppUrl=Kftc-bankpay
        server: true
        site:
            cd: U3476
            key: 4aVa--.Xz8Fc78nwYPsrmmY__
            name: ISTYLE
        log.level: 3
        module.type: 01
        tx.mode: 0
        receipt.url : https://admin8.kcp.co.kr/assist/bill.BillActionNew.do

# 네이버페이 API
naverPay:
    apiUrl: https://apis.naver.com/
    payUrl:
        web : pay.naver.com
        mob : m.pay.naver.com
    shop.id: istyle2424
    button.key: 5DF64042-EF37-45F1-878E-67C7098135E6
    button.pc.js.url: https://pay.naver.com/customer/js/naverPayButton.js
    button.mobile.js.url: https://pay.naver.com/customer/js/mobile/naverPayButton.js
    common.certification.key: s_3799db3bf4af
    certification.key: 2BC5E173-2840-4B48-BC7D-FF770005DD76
    order.api.url: https://api.pay.naver.com/o/customer/api/order/v20/register
    order.pc.url: https://order.pay.naver.com/customer/buy/
    order.mobile.url: https://m.pay.naver.com/o/customer/buy/
    zzim.api.url: https://pay.naver.com/customer/api/wishlist.nhn
    zzim.popup.url: https://pay.naver.com/customer/wishlistPopup.nhn
    zzim.mobile.url: https://m.pay.naver.com/mobile/customer/wishList.nhn
    access.license: 01000100005add7973062fb26d6ab0270bbb0e426475ca6de319ce56126da2bed70b8fdc9a
    secret.key: AQABAADLd4Aq3e/eUoHUVnplCOtJul09xEgICn50rnTw6joQNg==
    port.address: http://ec.api.naver.com/Checkout/MallService5
    service.name: MallService5
    version: 5.0

#카카오 API
kakao:
    cid : CT22482324 
    appId: 442702
    appName: 아이스타일24
    companyName: 예스이십사
    nativeAppKey: 5d97db2ee36fa0e121d962b2531ae0c1
    restApiKey: 46d601394bd887cbada3cf00fdddef54
    javascriptKey: b3c9ee69171042c3637e8d714a4c8a75
    adminKey: 7cc33b2ef96d785c4caf3376f9dc9254
    addressApiRequestUrl : https://dapi.kakao.com/v2/local/search/address.json?page=1&query=
    login.callbackUrl: /signin/snsLoginCallback?snsType=KK
    tokenUrl: https://kauth.kakao.com/oauth/token
    userInfoUrl: https://kapi.kakao.com/v2/user/me
    authorizeUrl: https://kauth.kakao.com/oauth/authorize
    unlinkUrl : https://kapi.kakao.com/v1/user/unlink
    paymentReadyUrl : https://kapi.kakao.com/v1/payment/ready
    paymentRedirectUrl : /order/kakao/payment/request
    approvePaymentUrl : https://kapi.kakao.com/v1/payment/approve
    paymentOrderUrl : https://kapi.kakao.com/v1/payment/order
    cancelPaymentUrl : https://kapi.kakao.com/v1/payment/cancel

# 검색엔진(NHN다이퀘스트)
search:
    engine:
        diquest.ip: 172.30.89.120
        diquest.port: 5555
